
KNOWN_MIMES = ["audio/mpeg", "audio/flac", "audio/x-wav", "image/jpeg", "image/png"]

MUSIC_TYPES = ["audio/mpeg", "audio/flac", "audio/x-wav"]

MPX_TYPES = ["audio/mpeg"]

FLAC_TYPES = ["audio/flac"]

WAV_TYPES = ["audio/x-wav"]

IMAGE_TYPES = ["image/jpeg", "image/png", "image/gif"]

IMAGE_EXTENSIONS = ["jpg", "jpeg", "png", "gif"]

MUSIC_EXTENSIONS = ["mp3", "flac", "wav"]

TYPE_TO_EXTENSION = {
    "audio/mpeg": "mp3",
    "audio/flac": "flac",
    "audio/x-wav": "wav",
    "image/jpeg": "jpg",
    "image/png": "png",
}

EXTENSION_TO_TYPE = {
    "mp3": "audio/mpeg",
    "flac": "audio/flac",
    "wav": "audio/x-wav",
    "jpg": "image/jpeg",
    "png": "image/png",
}


UNKNOWN_MIME = None
